Evince 2.32-patched for Quirky armv7


The current build of Quirky, 8.0.25, for the Raspberry Pi2, Pi3 and Odroid XU4, has Evince from the Ubuntu repository.

This requires GTK3. I am trying to eliminated GTK3 dependency, as for Quirky in my x86_64 builds.

Another thing, I don't like the user interface of the latest Evince. The user interface of the old GTK2 version is more usable in my opinion.

The last version of Evince that supports GTK2 is 2.32, however, there are some patches to bring it "up to date".
These patches can be found at various places in the Internet, search for "evince2-light". The '02_libice.patch' patch is out of the Ubuntu 2.32 source package "0ubuntu2".

This is how to compile, or rather how I did it in Quirky:
# patch -p1 < ../0001-tiff-fix-compile-warning.patch

# patch -p1 < ../02_libice.patch
# patch -p1 < ../kill-missing-gconf-complaints.patch
# patch -p1 < ../libview-crash.patch
# patch -p1 < ../update-poppler.patch
Don't depend on gnome-icon-theme...
# sed -i '/gnome-icon-theme/d' configure

# ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=armv7l-unknown-linux-gnueabihf --without-keyring --disable-scrollkeeper --disable-dvi --disable-djvu --disable-nautilus --disable-dbus --with-gtk=2.0 --disable-comics --without-gconf --enable-pixbuf --disable-gtk-doc-html --disable-help
# sed -i '/gnome-icon-theme/d' configure
# make
# new2dir make install
<

I will upload these to my own source repo on ibiblio soon.


No comments posted yet